%define src_name SmokeQt

%define name smokeqt
%define version 1.2.1
%define release 2mdk
%define lib_name_orig libsmokeqt
%define lib_major 1
%define lib_name              %mklibname %{name} %{lib_major}
%define lib_name_devel        %mklibname %{name} %{lib_major} -d
%define lib_name_static_devel %mklibname %{name} %{lib_major} -s -d

Name: 		%{name}
Summary: 	Generic binding library for Qt 3.
Version: 	%{version}
Release: 	%{release}
License:	GPL
Group: 		System/Libraries
Source:		%{src_name}-%{version}.tar.bz2
URL:		http://perlqt.sf.net/
BuildRoot: 	%_tmppath/%name-buildroot
Summary: 	SmokeQt binding library for Qt
BuildRequires:  qt3-devel 
BuildRequires:  perl-devel
BuildRequires:	libMesaGLU-devel
BuildRequires:  kdelibs-devel

%description
The SmokeQt library is a comprehensive CORBA-like wrapper to Trolltech's GUI
Toolkit v.3. It provides generic bindings and deep introspection
for use by scripting-like languages.

%package -n %{lib_name}
Summary:	SmokeQt library
Group: 		System/Libraries
Requires:	libqt3 >= 3.0.2

%description -n %{lib_name}
The SmokeQt library is a comprehensive CORBA-like wrapper to Trolltech's GUI
Toolkit v.3. It provides generic bindings and deep introspection
for use by scripting-like languages.
This package contains the actual library.

%package -n %{lib_name_devel}
Summary:	Development related files for smokeqt
Group:		Development/KDE and Qt
Requires:	%lib_name >= %version
Provides:	lib%{name}-devel = %{version}-%{release}
 
%description -n %{lib_name_devel}
The SmokeQt library is a comprehensive CORBA-like wrapper to Trolltech's GUI
Toolkit v.3. It provides generic bindings and deep introspection
for use by scripting-like languages.
This package contains the library headers.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{src_name}-%{version}

%build

if [ -f configure.in ]; then mv -f configure.in configure.in.rpm; fi
%configure2_5x --enable-smoke
if [ -f configure.in.rpm ]; then mv -f configure.in.rpm configure.in; fi

%make

%install
%makeinstall PREFIX=%{?buildroot:%{buildroot}}%{_prefix} INSTALLDIRS=vendor

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -fr $RPM_BUILD_ROOT

%files -n %{lib_name}
%defattr(-,root,root)
%_libdir/*.so.*


%files -n %{lib_name_devel}
%defattr(-,root,root)
%_includedir/*
%_libdir/*.so
%_libdir/*.la

%changelog
* Wed Sep 24 2003 Olivier Blin <oliv.blin@laposte.net> 1.2.1-2mdk
- Initial Mandrake package (from Germain Garand)
- fix BuildRequires
- do not own %%_includedir
- remove Provides already automatically added
- devel package provides lib%%{name}-devel

* Mon Sep 22 2003 Germain Garand <germain@ebooksfrance.org> 1.2.1-1mdk
- Rewrote to separate in lib/lib-devel packages. Hopefully totally standard now.

* Wed May 14 2003 Jaco Greeff <jaco@puxedo.org> 1.2-2mdk
- Added missing perl-devel BuildRequire to satisfy the MakeMaker script looking for
/usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/perl.h


* Sun Apr 7 2003 Germain Garand <germain@ebooksfrance.org> 1.2-1mdk
- Splitted PerlQt/Smoke in two packages. Initial version of libsmokeqt.
